Subject: Re: [PATCH -next] ext4: get rid of compile warning

From: Ted Ts'o <[email-masked]>
Date: Mon, 20 Feb 2012 22:13:48 -0500

On Mon, Feb 20, 2012 at 08:00:05AM -0800, Randy Dunlap wrote:
> On 02/20/2012 04:56 AM, Heiko Carstens wrote:
> >Get rid of this one:
> >
> >fs/ext4/balloc.c: In function 'ext4_wait_block_bitmap':
> >fs/ext4/balloc.c:405:3: warning: format '%llu' expects argument of
> >   type 'long long unsigned int', but argument 6 has type 'sector_t' [-Wformat]
> >
> >Happens because sector_t is u64 (unsigned long long) or unsigned long
> >dependent on CONFIG_64BIT.
> >
> >Signed-off-by: Heiko Carstens<[email-masked]>
> 
> I sent the same patch on Jan. 30.  I wonder what happened to it?
> 
> Acked-by: Randy Dunlap <[email-masked]>

Applied, thanks.  Sorry, Randy for not getting to your patch before
this.  I tend to review and apply patches in a fairly bursty fashion.

       	        	      	 	    	  - Ted